<?php
$nonce = base64_encode(random_bytes(16));
header("Content-Security-Policy: default-src 'self'; connect-src 'self'; script-src 'nonce-$nonce';");
header("X-Frame-Options: DENY");
header("Content-Type: text/html; charset=utf-8");
header("Referrer-Policy: no-referrer");
header("Cross-Origin-Opener-Policy: same-origin");
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="icon" href="./shrimp.gif" />
  <link rel="stylesheet" href="style.css" />
  <title>Shrimp Saver</title>
</head>
<body>
  <main>
    <div class="shrimp"><img src="./shrimp.gif" alt="Shrimp"></div>
  </main>
  <script nonce="<?= $nonce ?>" src="/app.js"></script>
</body>

</html>
